%define api_version	2.0
%define gir_major       2.0
%define lib_major	0
%define lib_name        %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev      %mklibname -d %{name} %{api_version}
%define gir_name        %mklibname %{name}-gir %{gir_major}

Summary:	Event logging framework for the desktop
Name:		zeitgeist
Version:	0.9.16
Release:	%mkrel 1
Source0:	http://launchpad.net/%name/0.9/%version/+download/%name-%version.tar.xz
License:	LGPLv3
Group:		System/Libraries
Url:		http://zeitgeist-project.com/
BuildRequires: python-devel
BuildRequires: xapian-devel
BuildRequires: raptor2
BuildRequires: python-rdflib
BuildRequires: vala-devel
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}json-glib-devel 
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sqlite3-devel 
BuildRequires: %{_lib}telepathy-glib-devel

Requires:	pygtk2.0
Requires:	python-dbus
Requires:	python-storm

%description
Zeitgeist is an "Event Logging Framework" that provides cross
application awareness of the desktop's activities.

You worked on a file, but you cannot remember where you saved it? You
visited a web page about basketball three days ago, but you cannot
find the URL in your browser's history? No problem, this is where
Zeitgeist enters the scene. It knows a lot about your activities and
has a feature rich D-Bus API which allows GUI applications like
gnome-zeitgeist, zeitgeistfs and others to present you your
activities in a readable way.

%package -n %{lib_name}
Summary: Libraries for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the libraries for %{name}.

%package -n %libnamedev
Summary: Static libraries and header files of %{name}
Group:   Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n %libnamedev
This package contains the header and pkg-config files for developing
with %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig
%find_lang %name
rm -f %buildroot%_mandir/man1/%name-datahub.1*

rm -frv %buildroot%_prefix/doc/%name/{AUTHORS,NEWS}

# remove unpackaged files
find %{buildroot} -name *.la | xargs rm

%files
%doc AUTHORS NEWS
%_bindir/%name-daemon
%_bindir/%name-datahub
%_datadir/%name
%_datadir/dbus-1/services/org.gnome.zeitgeist.service
%_mandir/man1/%name-daemon.1*
%py_puresitedir/%name
%{_sysconfdir}/xdg/autostart/%{name}-datahub.desktop
%{_datadir}/bash-completion/completions/%{name}-daemon

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}.*
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib

%files -n %{libnamedev}
%dir %{_includedir}/%{name}-%{api_version}
%{_includedir}/%{name}-%{api_version}/*.h
%{_libdir}/lib%{name}-%{api_version}.so
%{_datadir}/pkgconfig/%{name}-%{api_version}.pc
%{_datadir}/gir-1.0/*-%{gir_major}.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps


%changelog
* Mon Aug 31 2015 bb <bb> 0.9.16-1pclos2015
- update for midori
